Bug 472569 - Evolution crashes (window disappears) seemingly at random (moving mouse, not clicking anything)
Evolution crashes (window disappears) seemingly at random (moving mouse, not ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 14:58 EST by George Reeke
Modified: 2014-06-25 16:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-25 16:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace from core dump after evolution crash (2.53 KB, text/plain)
2008-11-21 15:01 EST, George Reeke
no flags Details

  None (edit)
Description George Reeke 2008-11-21 14:58:38 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.4) Gecko/2008110510 Red Hat/3.0.4-1.el5 Firefox/3.0.4

Using evolution 2.12.3 under gnome as supplied w/RHEL 5.2 64-bit smp.  It
crashes about twice a day, meaning the window disappears.  There is no
correlation I can find with any activity I am doing at the time--usually
just moving the mouse pointer, sometimes across the edge of the window,
sometime while typing a new email, etc.  No error message is given, no
crash box appears.  It does generate a core dump.  Examining one of these
with gdb, a backtrace can be obtained (I will attach).  I did not specifically
install the debug packages (but will do so if asked and told in detail
what I need to do), but this trace does have function names (but not line
numbers) for all but the top 2 levels, so it may be useful as is (and the
top level shows an execution address of 0x0, so I'm not sure having debug
info loaded would help much).

Reproducible: Sometimes

Steps to Reproduce:
1. Using evolution to read incoming email, crashes occur at unpredictable times.
   I have found no way to reproduce this problem in a controlled fashion.
2.
3.
Actual Results:  
Evolution window disappears.

Expected Results:  
Normal email viewing.

Machine is a Lenovo T61 laptop with NVIDIA Quadro NVS 140M graphics
using NVIDIA driver version NVIDIA-Linux-x86_64-177.82-pkg2.  Same
bug happened with previous version of NVIDIA driver 100.14.11.
Comment 1 George Reeke 2008-11-21 15:01:47 EST
Created attachment 324338 [details]
gdb backtrace from core dump after evolution crash
Comment 2 Matthew Barnes 2008-11-21 17:45:04 EST
For official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket. To
understand how your bug is tracked through our system, please see
https://www.redhat.com/support/process/production/#howrh
Comment 3 George Reeke 2008-11-24 11:29:53 EST
My understanding is that our academic license does not include support.
I was not asking for support, I was reporting what appears to be a bug.
Obviously, it is up to RedHat, depending on whether you get similar
reports from others or however you decide such things, whether you want
to spend time looking at this or not.  I stand ready to help with
additional debug output or other information if that would be useful.
Comment 4 RHEL Product and Program Management 2014-03-07 08:56:25 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 5 George Reeke 2014-03-07 11:14:11 EST
I have upgraded to RHEL 6.5.  This problem no longer occurs, so WONTFIX is OK with me.
George Reeke
Comment 6 Ondrej Vasik 2014-06-25 16:55:40 EDT
Ok, closing WONTFIX for RHEL 5, thanks for reply.

Note You need to log in before you can comment on or make changes to this bug.